Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.log
Class EventLogger

    java.lang.Object
      ix.icore.log.EventLogger

    public class EventLogger

extends java.lang.Object

Nested Class Summary
`(package private) class` | `EventLogger.LoggingIPCListener`

Field Summary
`(package private) IXAgent` | `agent`
`(package private) java.lang.String` | `logDir`
`(package private) java.io.FileDescriptor` | `logFD`
`(package private) java.lang.String` | `logFileName`
`(package private) java.io.OutputStream` | `logStream`
`(package private) org.jdom.output.XMLOutputter` | `outputter`
`(package private) XMLTranslator` | `xmlt`

Constructor Summary
`EventLogger(IXAgent agent)`

Method Summary
`void` | `install()`
`boolean` | `isLogging()`
`void` | `log(HistoryEvent event)`
`static void` | `main(java.lang.String[] argv)` Simple test program.
`(package private) java.lang.String` | `makeLogName()`
`void` | `processCommandLineArguments()`
`void` | `startLogging()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### agent

    IXAgent agent

### xmlt

    XMLTranslator xmlt

### outputter

    org.jdom.output.XMLOutputter outputter

### logDir

    java.lang.String logDir

### logFileName

    java.lang.String logFileName

### logStream

    java.io.OutputStream logStream

### logFD

    java.io.FileDescriptor logFD

Constructor Detail

### EventLogger

    public EventLogger(IXAgent agent)

Method Detail

### processCommandLineArguments

    public void processCommandLineArguments()

### makeLogName

    java.lang.String makeLogName()

### install

    public void install()

### isLogging

    public boolean isLogging()

### startLogging

    public void startLogging()

### log

    public void log(HistoryEvent event)

### main

    public static void main(java.lang.String[] argv)

  Simple test program.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD